#include <iostream>
using namespace std;
int main()
{
    long long n
    int a, b;
    cin>>n>>a>>b;

    int z;

        for (int i=1; i=n; i++)
        {
            z=a*b;
            int k;

            for (int j=1; j<=n; j++)
            {
                k=z%10;
                if (k==0) k=9;
                else if (k!=0) k=k-1;
            }
        }

    cout<<z<<endl;
    return 0;
}
